Miracle Docs
Companies

Update a company

PATCH
/v1/admin/companies/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.miracle.com/v1/admin/companies/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "livemode": true,
    "name": "string",
    "legalName": "string",
    "legalAddress": "string",
    "country": "string",
    "registrationNumber": "string",
    "businessType": "string",
    "contactPerson": "string",
    "contactEmail": "string",
    "contactPhone": "string",
    "website": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty
Empty
Empty

On this page